
Name:		pbspro_opensource_14.1.0
Version:	201702080915
Release:	hpe_hpcstack%{?dist}
Summary:	The PBS Pro workload manager

License:	GPL Affero
URL:		http://pbspro.org/
Source:	pbspro-14.1.0.tar.gz
Patch0:	hwloc_lib.patch
Patch1:	make_pbs-config.patch
BuildRequires: gcc
BuildRequires: make
BuildRequires: rpm-build
BuildRequires: libX11-devel
BuildRequires: libXt-devel
BuildRequires: libedit-devel
BuildRequires: libical-devel
BuildRequires: ncurses-devel
BuildRequires: perl
BuildRequires: postgresql-devel
BuildRequires: python-devel
BuildRequires: tcl-devel
BuildRequires: tk-devel
BuildRequires: swig
BuildRequires: expat-devel
BuildRequires: openssl-devel
BuildRequires: libXext
BuildRequires: libXft
BuildRequires: hwloc_1.11.4 >= 201702080535
Requires: hwloc_1.11.4 >= 201702080535
Requires: environment-modules
BuildRequires: gcc
BuildRequires: make
BuildRequires: rpm-build
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: libX11-devel
BuildRequires: libXt-devel
BuildRequires: libedit-devel
BuildRequires: libical-devel
BuildRequires: ncurses-devel
BuildRequires: perl
BuildRequires: postgresql-devel
BuildRequires: python-devel >= 2.6
BuildRequires: python-devel < 3.0
BuildRequires: tcl-devel
BuildRequires: tk-devel
BuildRequires: swig
%if %{defined suse_version}
BuildRequires: libexpat-devel
BuildRequires: libopenssl-devel
BuildRequires: libXext-devel
BuildRequires: libXft-devel
BuildRequires: fontconfig
BuildRequires: timezone
BuildRequires: python-xml
%else
BuildRequires: expat-devel
BuildRequires: openssl-devel
BuildRequires: libXext
BuildRequires: libXft
%endif

Requires: pmilibs
Requires: expat
Requires: libedit
Requires: postgresql-server
Requires: python
Requires: tcl
Requires: tk
%if %{defined suse_version}
Requires: smtp_daemon
Requires: libical1
%else
Requires: smtpdaemon
Requires: libical
%endif
Conflicts: slurm
Conflicts: slurm_15.08.10
Conflicts: pbspro_commercial_13.1.0

AutoReqProv:	no

%define debug_package %{nil}
%define prefix        /opt/hpe/hpc/pbspro/14.1.0/opensource


%description

The PBS Pro workload manager

%prep
%setup -q -n pbspro-14.1.0
%patch -P 0
%patch -P 1

%build
aclocal
automake
autoconf
rm -rf BuildHERE
mkdir BuildHERE
cd BuildHERE
../configure --prefix=/opt/hpe/hpc/pbspro/14.1.0/opensource --with-hwloc=/opt/hpe/hpc/hwloc/default
make -j 4
make DESTDIR=/tmp/root/pbspro-14.1.0-mRom84ZKg install
chmod +x /tmp/root/pbspro-14.1.0-mRom84ZKg//opt/hpe/hpc/pbspro/14.1.0/opensource/sbin/pbs_iff
cp ../pbs-config /tmp/root/pbspro-14.1.0-mRom84ZKg//opt/hpe/hpc/pbspro/14.1.0/opensource/bin
chmod 755 /tmp/root/pbspro-14.1.0-mRom84ZKg//opt/hpe/hpc/pbspro/14.1.0/opensource/bin/pbs-config

%check

%install

rm -rf %{buildroot}
mv -f /tmp/root/pbspro-14.1.0-mRom84ZKg %{buildroot}


mkdir -p %{buildroot}/opt/hpe/hpc/modules/pbspro/14.1.0
cat >%{buildroot}/opt/hpe/hpc/modules/pbspro/14.1.0/opensource <<- EOF
#%Module1.0

# Module file for pbspro-14.1.0

proc ModulesHelp { } {
puts stderr "Set up the paths for pbspro-14.1.0"
}

prepend-path PATH /opt/hpe/hpc/pbspro/14.1.0/opensource/bin
prepend-path LD_LIBRARY_PATH /opt/hpe/hpc/pbspro/14.1.0/opensource/lib
prepend-path MANPATH /opt/hpe/hpc/pbspro/14.1.0/opensource/share/man

if { [exec id -u] eq 0 } {
prepend-path PATH /opt/hpe/hpc/pbspro/14.1.0/opensource/sbin
}
EOF
ln -s 14.1.0/opensource %{buildroot}/opt/hpe/hpc/modules/pbspro/default


mkdir -p  %{buildroot}/opt/hpe/hpc/test/installation_validation/pbspro/14.1.0/
cp /tmp/root/pbspro-14.1.0-4BBivmT60/TESTS/pbspro.ivp %{buildroot}/opt/hpe/hpc/test/installation_validation/pbspro/14.1.0/ || true
chmod +x %{buildroot}/opt/hpe/hpc/test/installation_validation/pbspro/14.1.0/* || true

%clean
rm -rf %{buildroot}


%post

/opt/hpe/hpc/pbspro/14.1.0/opensource/libexec/pbs_postinstall



%files
%defattr(-,root,root,-)
%{prefix}/*
/opt/hpe/hpc/modules
/opt/hpe/hpc/test
/etc/profile.d/pbs.csh
/etc/profile.d/pbs.sh

%changelog
